#INCLUDE STRING.HDR

FUNCTION CHAR L_Pad
  PARAMETERS VALUE CHAR string_value,;
             VALUE INT  length

  VARDEF
    CHAR     finish_str  based string_value
  ENDDEF

  finish_str = TRIM( finish_str )

  IF LEN( finish_str ) > length
    finish_str = LEFT( finish_str, length )
  ENDIF

  DO WHILE LEN( finish_str ) < length
    finish_str = " " + finish_str
  ENDDO

  RETURN finish_str
ENDPRO                                 && FUNCTION CHAR L_Pad