
FUNCTION LOGICAL Interrupt PROTOTYPE
  PARAMETERS VALUE UINT intrupt,;
                   UINT ax,;
                   UINT bx,;
                   UINT cx,;
                   UINT dx,;
                   UINT si,;
                   UINT di,;
                   UINT bp,;
                   UINT ds,;
                   UINT es


FUNCTION ULONG Disk_Size
  PARAMETERS VALUE BYTE d_drivenum
 
  VARDEF
    UINT  d_ax
    UINT  d_bx
    UINT  d_cx
    UINT  d_dx
    UINT  d_si
    UINT  d_di
    UINT  d_bp
    UINT  d_ds
    UINT  d_es
    BYTE  d_a[2] based d_ax
    BYTE  d_d[2] based d_dx
    ULONG d_1, d_2, d_3
    ULONG d_ret
  ENDDEF

  d_ax   = 0
  d_a[1] = 0x1c                        && sub function 0x1c
  d_d[0] = d_drivenum

  Interrupt( 0x21 , d_ax, d_bx, d_cx, d_dx, d_si, d_di, d_bp, d_ds, d_es )
                                       && interupt 0x21

  d_1 = d_a[0]
  d_2 = d_cx
  d_3 = d_dx

  d_ret = d_1 * d_2 * d_3

  RETURN d_ret
ENDPRO                                 && Disk Size