vga	equ	04h
mcga	equ	03h
ega	equ	02h
cga	equ	01h
mda	equ	00h

	dgroup	group	_data

_data		segment	word public 'DATA'

_data		ends


$JGRAPH		segment public

		assume	cs:$JGRAPH, ds:_data

		public	_j_adapter
_j_adapter	proc	far

		push	bp
		mov	bp, sp
		push	bx
		push	cx
		push	dx
		push	si
		push	di
		push	es

		mov	dh,ah		
		xor	bx,bx
			
		; set ES to 0000h
		mov	es,bx		
		; assume VGA
		mov	dl,VGA	
		; now check for VGA
		mov	ax,1A00h	
		int	10h		
		cmp	al,1Ah		
		; is VGA/MCGA supported?
		 jne	try_again
		xchg	ax,bx	
		cmp	al,08h	
		; is active monitor a VGA color?
		 je	found_type
		cmp	al,07h		
		; is active monitor a VGA mono?
		 je	found_type
		dec	dx		
		; assume MCGA
		cmp	al,0Ah		
		 jb	try_again
		; is active monitor a MCGA?
		cmp	al,0Ch		
		 jbe	found_type
try_again:	mov	dl,EGA		
  		; assume EGA (02h)
		mov	ah,12h		
		mov	bl,10h
		int	10h
		cmp	bl,10h
		 jb	found_type
		dec	dx		
		; assume CGA (01h)
		cmp	word ptr es:[463h],3B4h
		 jne	found_type
		dec	dx	
		; MDA (00h)
found_type:	xchg	ax,dx	
		xor 	ah, ah

		pop	es
		pop	di
		pop	si
		pop	dx
		pop	cx
		pop	bx
		pop	bp
		ret
_j_adapter	endp

$JGRAPH		ends

end
