
#include string.hdr
#include jaylib.hdr
#include system.hdr

*- find file in path and return filename with the path
FUNCTION CHAR Follow_Path
  PARAMETERS VALUE CHAR old_file,;     && old filename with no path
             VALUE CHAR path_line      && path to follow (seperated by ;s)

  VARDEF
    CHAR        temp_path               && parameter path that is TRIMmed of spaces
    CHAR        temp_one                && one single path
    INT         temp_loc                && location of ';'
  ENDDEF

  *- return if path is included in filename
  IF AT( "\", old_file )>0
    old_file = ""
    RETURN old_file
  ENDIF

  temp_path = path_line
  temp_path = TRIM( temp_path )
  IF LEN( temp_path ) = 0
    RETURN ""
  ENDIF

  *- add ending ;. to path for parsing reasons
  IF RIGHT( temp_path, 1 ) <> ";"
    temp_path = temp_path + ";."
  ELSE
    temp_path = temp_path + "."
  ENDIF

  temp_loc  = AT( ";", temp_path )
  DO WHILE temp_loc >0                 && continue until the last ; is reached
    temp_one = Fixpath( TRIM( LEFT( temp_path, temp_loc-1 ) ) )+old_file
    IF EXIST( temp_one )
      RETURN temp_one
    ELSE
      temp_path = SUBSTR( temp_path, temp_loc+1, LEN( temp_path )-temp_loc )
      temp_loc = AT( ";", temp_path )
    ENDIF

  ENDDO


  old_file = ""
  RETURN old_file
ENDPRO
