include general.inc

;------------------------------------------------------------------------------
;	  data:	Local Equates
;
;------------------------------------------------------------------------------

kb_flag		equ	17h
insert_bit	equ	80h

;------------------------------------------------------------------------------
;	  data:	Code starts here
;
;------------------------------------------------------------------------------

$s_function_seg	segment public

		assume	cs:$s_function_seg

;------------------------------------------------------------------------------
;
;   procedure:	INSERT_KEY
; description:	Procedure will check to see if the insert key has been
;		pressed.
;
;	entry:	None
;
;	 exit:	AX = TRUE | FALSE
;
;
;------------------------------------------------------------------------------

		public	_inskey
_inskey	proc	far

		push	es
		mov	ax,40h			;bios data area...eh, pal
		mov	es,ax

		mov	ax,TRUE
		test	b_ptr es:[ kb_flag ],insert_bit
		 jnz	out_we_go

		mov	ax,FALSE
out_we_go:	pop	es
		ret

_inskey	endp

$s_function_seg	ends

end

