#INCLUDE STRING.HDR
#INCLUDE SYSTEM.HDR
#INCLUDE IO.HDR

FUNCTION LOGICAL MKPath
  PARAMETERS VALUE CHAR( 254 ) pathlist

  VARDEF
    BYTE   path_cnt
    BYTE   pathbyte[254] based pathlist
  ENDDEF

  path_cnt = 0

  IF pathbyte[1] = ':' .AND. pathbyte[2] = '\'
    path_cnt = 3
  ENDIF

  REPEAT
    IF pathbyte[path_cnt] = '\'

      IF .NOT. FIND_FIRST( LEFT( pathlist, path_cnt ), 0x10 )
        IF .NOT. MKDIR( LEFT( pathlist, path_cnt ) )
          RETURN .F.
        ENDIF
 
      ENDIF

    ENDIF

    path_cnt = path_cnt + 1

  UNTIL pathbyte[path_cnt] = 0

  RETURN .T.
ENDPRO                                 && MKPath
