#INCLUDE STRING.HDR
#INCLUDE SYSTEM.HDR

FUNCTION CHAR Fixpath
  PARAMETERS VALUE CHAR filespec

  *****!!!! NOTE:  this is designed for fixing PATHS and not full filenames.
  *                ex.  FILE.EXE will be changed to C:\FILE.EXE even if it isn't in the root dir

  VARDEF
    CHAR   final_spec based filespec
    CHAR   other_spec
    CHAR(2) temp_drive
  ENDDEF

  final_spec = TRIM( final_spec )
  IF SUBSTR( final_spec, 2, 1) = ":"
    temp_drive = left( final_spec, 2 )
    final_spec = substr( final_spec, 3, 254 )
    IF LEN( final_spec ) = 0
      final_spec = "\"
    ENDIF

  ELSE
    temp_drive =CHR( CURDRIVE() + 'A' ) + ":"
  ENDIF

  IF LEN( final_spec ) = 0
    final_spec = CURDIR( 0 )
  ELSE
    IF LEFT( final_spec, 2 ) = ".\"
      final_spec = Fixpath( "" ) + SUBSTR( final_spec, 3, LEN( final_spec )-2 )
    ELSE
      IF LEFT( final_spec, 3 )="..\"
        other_spec = TRIM( Fixpath( "" ) )
        DO WHILE LEFT( final_spec, 3 ) = "..\"
          final_spec = TRIM( SUBSTR( final_spec, 4, LEN( final_spec )-3 ) )
          IF LEN( other_spec )>2
            IF RIGHT( other_spec, 1 ) = "\"
              other_spec = LEFT( other_spec, LEN( other_spec )-1 )
            ENDIF

            IF RAT( "\", other_spec )>0
              other_spec = LEFT( other_spec, RAT( "\", other_spec )-1 )
            ENDIF

          ENDIF

        ENDDO

        IF RIGHT( other_spec, 1 ) <> "\"
          other_spec = other_spec + "\"
          final_spec = other_spec + final_spec
        ENDIF

      ENDIF

    ENDIF

  ENDIF


  IF left( final_spec, 1 ) <> "\"
    final_spec = "\" + final_spec
  ENDIF

  final_spec = temp_drive + final_spec

  IF .NOT. ( RIGHT( final_spec, 1 ) = "\" )
    final_spec = final_spec + "\"
  ENDIF

  final_spec = TRIM( final_spec )

  RETURN final_spec
ENDPRO                                 && FUNCTION CHAR FixPath
