* ----- interrupt vectors ----- *

#define VIDEO  0x10

FUNCTION byte J_adapter PROTOTYPE

FUNCTION UINT J_Set_VMode PROTOTYPE
  PARAMETERS VALUE UINT mode

FUNCTION LOGICAL j_isega PROTOTYPE

FUNCTION LOGICAL j_isvga PROTOTYPE


function logical interrupt prototype		&& returns state of carry
	parameters 	value uint intno,;
				uint ax,;
				uint bx,;
				uint cx,;
				uint dx,;
				uint si,;
				uint di,;
				uint bp,;
				uint ds,;
				uint es

VARDEF PRIVATE
    BYTE a[2]
    BYTE b[2], c[2], d[2]
    BYTE l = 0, h = 1
    UINT ax based a
    UINT bx based b
    UINT cx based c
    UINT dx based d
    UINT si, di, bp, ds, es
ENDDEF

#DEFINE _vga  4
#DEFINE _mcga 3
#DEFINE _ega  2
#DEFINE _cga  1
#DEFINE _mda  0

**********
* Set25()
*
* 
* ---------- set 25 line mode ------- *
PROCEDURE J_Set25
  J_set_vmode( 3 )
ENDPRO

**********
* Set43()
*
* 
* ---------- set 43 line mode ------- *
function uint J_Set43_50
 VARDEF
   BYTE JA
 ENDDEF

   JA = J_ADAPTER()
   if JA=&_EGA .or. JA=&_VGA
    ax = 0x1112
    bx = 0
    interrupt(&VIDEO, ax, bx, cx, dx, si, di, bp, ds, es)
    if JA = &_EGA
      RETURN 43
    else
      RETURN 49
    ENDIF
   ELSE
     RETURN 0
   endif
ENDPRO

